from api_invoker_management.models.api_invoker_enrolment_details_patch import APIInvokerEnrolmentDetailsPatch  # noqa: E501


def modify_ind_api_invoke_enrolment(onboarding_id, body):  # noqa: E501
    """modify_ind_api_invoke_enrolment

    Modify an individual API invoker details. # noqa: E501

    :param onboarding_id: 
    :type onboarding_id: str
    :param api_invoker_enrolment_details_patch: 
    :type api_invoker_enrolment_details_patch: dict | bytes

    :rtype: Union[APIInvokerEnrolmentDetails, Tuple[APIInvokerEnrolmentDetails, int], Tuple[APIInvokerEnrolmentDetails, int, Dict[str, str]]
    """
    if request.is_json:
        api_invoker_enrolment_details_patch = APIInvokerEnrolmentDetailsPatch.from_dict(request.get_json())  # noqa: E501
    return 'do some magic!'
